Bug 606387 - incorrect aggregate metric value computations for resourceGroups / autoGroups
incorrect aggregate metric value computations for resourceGroups / autoGroups
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 10:14 EDT by Joseph Marques
Modified: 2010-08-12 12:51 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-06-21 10:14:18 EDT
Description of problem:

incorrect value for "Group Members Reporting" column in monitor>tables sub-tab

Steps to Reproduce:
1. Navigate to either an autogroup or resource group
2. Go to monitor>tables sub-tab

Expected results:

The "Group Members Reporting" should be a number greater than or equal to 0, but less than or equal to the size of the autogroup/resourcegroup.  It should be a number that represents the number of resources that have the measurement schedule (for each individual row) enabled.
  
Actual results:

The number is much larger than the size of the group.
Comment 1 Joseph Marques 2010-06-21 10:16:06 EDT
commit 05e4759fd8a557a2cdfacf82986e3f7017e46e8a
Author: Joseph Marques <joseph@redhat.com>
Date:   Mon Jun 21 10:12:42 2010 -0400

    BZ-606387: fix "Group Members Reporting" column for monitor>tables sub-tab

-----

turns out the count-query wasn't filtering by the measurement schedule in question, and so it was counting every single measurement schedule in the system for every row of the monitor>tables view.
Comment 2 Joseph Marques 2010-06-21 10:44:00 EDT
A second issue is that all of the metric display summaries are the same.  It doesn't matter how many different metrics there are for a resource, their min/max/avg values will all be the same.  This is caused by the same type of bug that triggered the "Group Members Reporting" count to be wrong.
Comment 3 Joseph Marques 2010-06-21 10:50:15 EDT
commit 951dfe9d075a5dc3d200aaeff14e46a7d53d30d5
Author: Joseph Marques <joseph@redhat.com>
Date:   Mon Jun 21 10:44:28 2010 -0400

    BZ-606387: fix metric display summary values for autoGroups/resourceGroups

-----

same issue here - the metrics weren't being properly filtered by the corresponding measurement definition/schedule, and so every metric being displayed by a sum of *all* metrics for *all* resource members under each autoGroup / resourceGroup.
Comment 4 Corey Welton 2010-06-23 08:41:32 EDT
QA Verified, these numbers are now correct.
Comment 5 Corey Welton 2010-08-12 12:51:57 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.